> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Workday (OAuth)

> Integrate your application with the Workday API

## 🚀 Quickstart

Connect to Workday with Nango and see data flow in 2 minutes.

**1. Create an integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Workday (OAuth)*.

**2. Authorize Workday**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Workday. Later, you'll let your users do the same directly from your app.

**3. Call the Workday API**

Let's make your first request to the Workday API (fetch worker information). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/v1/{connectionConfig.tenant}/workers" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> const connectionId = '<CONNECTION-ID>';
> const providerConfigKey = '<INTEGRATION-ID>';
> const connection = await nango.getConnection(providerConfigKey, connectionId);
>
> const res = await nango.get({
>     endpoint: `/v1/${connection.connection_config['tenant']}/workers`,
>     providerConfigKey,
>     connectionId
> });
>
> console.log(JSON.stringify(res.data, null, 2));
> ```

Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

> [!NOTE]
>
> The `{connectionConfig.tenant}` in the URL represents the `tenant`. You can get this value from your connection configuration after creating the connection.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

> [!TIP]
>
> Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their Workday accounts.

## 📚 Workday Integration Guides

Nango maintained guides for common use cases.

* [How to register your own Workday OAuth app](https://nango.dev/docs/api-integrations/workday-oauth/how-to-register-your-own-workday-oauth-app)\
  Register an OAuth app with Workday and obtain credentials to connect it to Nango

* [How do I link my Workday account?](https://nango.dev/docs/api-integrations/workday-oauth/connect)\
  Learn how to authenticate with Workday and link your account

Official docs: [Workday REST Services Directory](https://community.workday.com/sites/default/files/file-hosting/restapi/index.html)

## 🚨 API Gotchas

* Workday provides two APIs, a REST and a SOAP one and Nango supports them both.
* Access to most of Workday's API doc resources, including detailed documentation on OAuth authentication flows, is typically restricted to Workday customers and partners. To access these resources, you can:
  1. **Sign In to Workday Community**: Visit the [Workday Community](https://community.workday.com/) and sign in with your Workday credentials. If you don't have an account, you can [request one](https://workday.my.site.com/customercenter/register).
  2. **Contact Workday Support**: If you are a customer, reach out to Workday Support for assistance in accessing specific documentation.

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.